local myName, AddOn = ...

if not ArmoryPaperDollFrame then return end

function AddOn:GetArmoryStatPriority()
  local _, key = Armory:UnitClass("player")
  if self.IsRetail then
      local specId = Armory:GetSpecializationInfo(Armory:GetSpecialization())
      key = key .. "-" .. specId
  end
  return self.StatTable[key]
end

if ArmoryPaperDollFrame then
  local f = CreateFrame("GameTooltip", myName .. "Armory", ArmoryPaperDollFrame, "GameTooltipTemplate")

  f.Update = function()
    local priority = AddOn:GetArmoryStatPriority()
    local _, class = Armory:UnitClass("player")
    AddOn:ShowStatPriority(f, class, priority)
  end

  hooksecurefunc("ArmoryFrame_Update", f.Update)
end